function udot=g(t,u,m,k)
n=prod(size(u));
udot=u;
for i=2:n
udot(i)=u(i-1)-k(i)*u(i);
end;
udot(1)=1/(1+u(n)^m)-k(1)*u(1);
endfunction
//
m=8.1;
n=3;
t=0:0.1:100;
y0=rand(n,1);
k=0.5*ones(n,1);
y=ode(y0,0,t,list(g,m,k));
xset('window',0);xbasc();
param3d(y(1,:)',y(2,:)',y(3,:)');
deff('[y]=f(x)','y=1/(1+x^m)-prod(k)*x');
ustat=fsolve(y0(n),f);
xset('window',1);xbasc();
plot2d(t',[y',ustat*ones(t')]);
//xset('window',2);xbasc();
//n=2;m=12;k=0.5*ones(n,1);
//portrait(list(g,m,k));
//
