write(%io(2),'reaction enzymatique avec feedback negatif ([Mur], page 143)');
n=evstr(x_dialog('nombre de composants','3'));
m=evstr(x_dialog('coefficient de Hill','12'));
k0=0.5*ones(n,1);
k=evstr(x_matrix('taux de reactions',k0));
cc=rand(n,1);
c0=evstr(x_matrix('concentrations initiales',cc));
tpas=evstr(x_dialog('pas de temps','0.05'));
tfin=evstr(x_dialog('temps final','200'));
npts=int(tfin/tpas);
t=0:tpas:tfin;
//
function xdot=reac5(t,x,n,m,k)
xdot=[];
xdot(1)=1/(1+x(n)^m)-k(1)*x(1);
for i=2:n
  xdot(i)=x(i-1)-k(i)*x(i);
end
xdot(n)=x(n-1)-k(n)*x(n)/(1+x(n));
endfunction
//	
// solution ode
X=ode(c0,0,t,list(reac5,n,m,k));
//
xbasc()
xsetech([0,0,0.5,0.5]);
  plot2d(t,X(1,:));
  xtitle('concentration de mRNA','t')
xsetech([0.5,0,0.5,0.5]);
  plot2d(t,X(2,:));
  xtitle('concentration de l''enzyme E','t')
xsetech([0,0.5,0.5,0.5]);
if (n>2)
   plot2d(t,X(3,:));
   xtitle('concentration du produit P','t')
end
xsetech([0.5,0.5,0.5,0.5]);
if (n==2)
     xdim=[0,0,1.2*1/k(1),1.2*1/(k(1)*k(2))];
     plot2d(X(1,:),X(2,:),1,'011',' ',xdim);
     xtitle('portrait de phase')
   pause;
//
// trace direct du portrait de phase (si n=2) avec l'instruction Scilab
//
     portrait(list(reac5,n,m,k),'default',xdim,[npts;tpas])
//
elseif (n==3)    
     param3d(X(1,:),X(2,:),X(3,:)); 
     xtitle('portrait de phase')
end  
//
